Subject: Re: [PATCH] powerpc/85xx: Workaround MPC8536 GPIO 1 errata.

From: Anton Vorontsov <[email-masked]>
Date: Tue, 11 Aug 2009 19:24:48 +0400

On Tue, Aug 11, 2009 at 06:12:12PM +0300, Felix Radensky wrote:
[...]
> >Plus, this are two reads instead of just one. I think it'll be better
> >to implement mpc8536_gpio_get(), and then do
> >
> >if (of_device_is_compatible(np, ... 8536-gpio-bank ...))
> >	gc->get = mpc8536_gpio_get;
> >else
> >	gc->get = mpc8xxx_gpio_get;
> 
> The reads are from 2 different registers, how do you propose to replace
> them by a single read ?

I didn't propose that, I proposed to not do 2 reads for CPUs that
don't have the errata. ;-)

> I'll implement mpc8572_gpio_get(), suitable for both 8572 and 8536.

Great, thanks!

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2